/*jslint browser: true, unused:false */
/*global $ */

// Funções que são executadas sempre que uma página é carregada
function pageLoadEvents() {
   'use strict';

   console.log('Executando pageLoadEvents()');

   $('.reveal-overlay, .feedbackPuzzleQuiz-overlay').remove();
   $('.reveal').foundation();
   $('.accordion').foundation();
   $('.cycle-slideshow').cycle();
   $('.cycle-slideshow').cycle();

}

$(document).ready(function () {
   'use strict';

   $(document).foundation();

   $('.menu-item.is-dropdown-submenu-parent').on('click', function () {
      if (!($(this).children('.is-dropdown-submenu').is(':visible'))) {
         $('.is-dropdown-submenu').slideUp();
         $(this).children('.is-dropdown-submenu').slideDown();
      } else {
         $('.is-dropdown-submenu').slideUp();
      }
   });

   // Menu Mobile
   $('#mobile-menu-button').click(function () {
      $('.tc-top-menu .tc-search').removeClass('open closed');

      if ($('.tc-navbar').hasClass('open')) {
         $('.tc-navbar').removeClass('open');
         $('.tc-navbar').addClass('closed');
      } else {
         $('.tc-navbar').removeClass('closed');
         $('.tc-navbar').addClass('open');
      }
   });

   $('#mobile-search-button').click(function () {
      $('.tc-navbar').removeClass('open closed');

      if ($('.tc-top-menu .tc-search').hasClass('open')) {
         $('.tc-top-menu .tc-search').removeClass('open');
         $('.tc-top-menu .tc-search').addClass('closed');
      } else {
         $('.tc-top-menu .tc-search').removeClass('closed');
         $('.tc-top-menu .tc-search').addClass('open');
      }
   });

   // Começar o video ao clicar no poster
   $('.tc-content').on('click', 'video', function () {
      let video = $(this)[0];
      if (video.paused) {
         video.play();
      } else {
         video.pause();
      }
   });
});


